com.io7m.jcamera.examples.jogl

## Class ExampleSphericalMouseListener

- java.lang.Object
- - com.jogamp.newt.event.MouseAdapter
  - - com.io7m.jcamera.examples.jogl.ExampleSphericalMouseListener

- All Implemented Interfaces:
    com.jogamp.newt.event.MouseListener, com.jogamp.newt.event.NEWTEventListener, EventListener

      public final class ExampleSphericalMouseListener
      extends com.jogamp.newt.event.MouseAdapter

  The mouse adapter used to handle mouse events.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExampleSphericalMouseListener(com.jogamp.newt.Window in_window, AtomicReference<JCameraSphericalMouseRegion> in_mouse_region, JCameraSphericalInputType in_input, ExampleRendererType in_renderer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `mouseDragged(com.jogamp.newt.event.MouseEvent e)`
    `void` | `mouseMoved(com.jogamp.newt.event.MouseEvent e)`
    `void` | `mousePressed(com.jogamp.newt.event.MouseEvent e)`
    `void` | `mouseReleased(com.jogamp.newt.event.MouseEvent e)`

    - ### Methods inherited from class com.jogamp.newt.event.MouseAdapter

      `mouseClicked, mouseEntered, mouseExited, mouseWheelMoved`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExampleSphericalMouseListener

          public ExampleSphericalMouseListener(com.jogamp.newt.Window in_window,
                                               AtomicReference<JCameraSphericalMouseRegion> in_mouse_region,
                                               JCameraSphericalInputType in_input,
                                               ExampleRendererType in_renderer)

  - ### Method Detail

    - #### mouseMoved

          public void mouseMoved(@Nullable
                                 com.jogamp.newt.event.MouseEvent e)

      Specified by:
        `mouseMoved` in interface `com.jogamp.newt.event.MouseListener`
      Overrides:
        `mouseMoved` in class `com.jogamp.newt.event.MouseAdapter`

    - #### mousePressed

          public void mousePressed(@Nullable
                                   com.jogamp.newt.event.MouseEvent e)

      Specified by:
        `mousePressed` in interface `com.jogamp.newt.event.MouseListener`
      Overrides:
        `mousePressed` in class `com.jogamp.newt.event.MouseAdapter`

    - #### mouseReleased

          public void mouseReleased(@Nullable
                                    com.jogamp.newt.event.MouseEvent e)

      Specified by:
        `mouseReleased` in interface `com.jogamp.newt.event.MouseListener`
      Overrides:
        `mouseReleased` in class `com.jogamp.newt.event.MouseAdapter`

    - #### mouseDragged

          public void mouseDragged(@Nullable
                                   com.jogamp.newt.event.MouseEvent e)

      Specified by:
        `mouseDragged` in interface `com.jogamp.newt.event.MouseListener`
      Overrides:
        `mouseDragged` in class `com.jogamp.newt.event.MouseAdapter`

Copyright © 2016 <code@io7m.com> http://io7m.com